GET
/api/v2/vouchers/groupsGET /api/v2/vouchers/groups
Authentication
Send your API key in the x-api-key header on every request.
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| Name | string | Yes | |
| Description | string | Yes | |
| Status | string | Yes | |
| DefaultType | string | Yes | |
| DefaultValue | unknown | Yes | |
| DefaultCurrency | string | Yes | |
| DefaultPerUserLimit | unknown | Yes | |
| DefaultTotalUseLimit | unknown | Yes | |
| DefaultAggregateCap | unknown | Yes | |
| DefaultRequiresApproval | boolean | Yes | |
| DefaultRequiresEmail2Fa | boolean | Yes | |
| DefaultValidFrom | string (date-time) | Yes | |
| DefaultValidUntil | string (date-time) | Yes | |
| CampaignReference | string | Yes | |
| CostCentre | string | Yes | |
| Tags | array of string | Yes | |
| CreatedAt | string (date-time) | Yes |
Example request
curl -X GET "https://{base_url}/api/v2/vouchers/groups" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.